package com.cusc.adas.v2x.utils;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME) // 注解在运行时可用
@Target(ElementType.FIELD) // 注解只能用于字段（属性）
public @interface OffsetDef {
	double value() default 1;//偏移量
	int type() default 2; //1:除法 2:乘法;
	int minValidLength() default 0;//数据最小位数,不够补0
}
