package com.cusc.adas.v2x.assist.vo;

import java.util.List;

import com.cusc.adas.v2x.utils.FieldDef;
import com.cusc.adas.v2x.utils.Order;

public class AssistMessageBody<T> {
	//车辆编号
	@Order(1)
	@FieldDef(type="BYTE",isArray=true,length=8)
	private String vehicleId;
	
	//消息标识
	@Order(2)
	@FieldDef(type="BYTE",isArray=true,length=8)
	private long seq;
	
	//辅助功能类别
	@Order(3)
	private short astFuncType;
	
	//命令长度
	@Order(4)
	private int dataLen;
	
	//命令数据
	@Order(5)
	private List<T> infoData;
	
}
