package com.cusc.adas.v2x.selfdefine.dto;

import java.util.List;

import com.cusc.adas.v2x.utils.FieldDef;
import com.cusc.adas.v2x.utils.Order;

public class SelfDefineMessageBodyDto<T> {
	//车辆编号
	@Order(1)
	@FieldDef(type="BYTE",isArray=true,length=8)
	private String vehicleId;
	
	//消息标识
	@Order(2)
	@FieldDef(type="BYTE",isArray=true,length=8)
	private long seq;
	
	//数据长度
	private int dataLen;
	
	//数据内容
	private List<T> data;
	
	
}
